Forum
Welcome, Guest
Username: Password: Remember me
  • Page:
  • 1
  • 2

TOPIC: compatility with xenserver 7.6

compatility with xenserver 7.6 7 months 1 week ago #1741

  • Victor Hugo
  • Victor Hugo's Avatar Topic Author
  • Offline
  • Posts: 9
Masters,

I will need to upgrade physical disks on our environment (ha-lizard and xenserver 7.2 actually).. Our plan is to make a backup and install everything from scrach (I think that don't exist another way or maybe yes ?? ). But we have a couple of dudes:

1 - Actually, Xenserver > 7.3 have a lot of features less than 7.2. Can be a problem with ha-lizard ??

2 - I searched on site and forum about ha-lizard compatibility with xenserver 7.6, but I can/t found information. Comentaries about this ??

thanks and attentive.

Please Log in or Create an account to join the conversation.

compatility with xenserver 7.6 7 months 1 week ago #1742

  • Salvatore Costantino
  • Salvatore Costantino's Avatar
  • Offline
  • Posts: 565
We just released this morning our version 2.2.0 which is compatible with xcp 7.6, and, more importantly adds new features which make it possible to more easily migrate between major releases of xenserver and xcp.

Migration instructions will be posted in a few days.

In order to migrate to a new dom0, you will first need to upgrade halizard on your current host. I'll update this post with detailed instructions and download links a bit later.

Please Log in or Create an account to join the conversation.

compatility with xenserver 7.6 7 months 1 week ago #1744

  • Salvatore Costantino
  • Salvatore Costantino's Avatar
  • Offline
  • Posts: 565
See below steps for pool upgrade. There should be no vm downtime using this procedure.

Migration Steps:

- Backup all of your VMs.. We supply a tool for bulk export of VMs (/etc/ha-lizard/scripts/vm_backup.sh)

- Disable HA for pool (run this command on any 1 of the 2 hosts)
ha-cfg ha-disable

- Upgrade both hosts with our latest packages (required for a dom0 upgrade)
cd /tmp
wget http://halizard.org/release/ha-lizard/ha-lizard-2.2.0-2.rpm
wget http://halizard.org/release/iscsi-ha/iscsi-ha-2.2.0-1.rpm
rpm -Uvh ha-lizard-2.2.0-2.rpm
rpm -Uvh iscsi-ha-2.2.0-1.rpm
service ha-lizard restart
service iscsi-ha restart

- Backup your config to the pool DB (this needs to be done on any 1 of the 2 hosts in your pool since the data is shared by both)
iscsi-cfg backup

- Migrate all of your VMs from the master to the slave

- Put each host into manual mode and expose storage on slave
iscsi-cfg manual-mode-enable (on both hosts)
iscsi-cfg become-secondary (on master)
iscsi-cfg become-primary (on slave)

- Upgrade your master with XCP or XenServer release

- After upgrade, install required packages on newly upgraded master
cd /tmp
wget http://halizard.org/release/ha-lizard/ha-lizard-2.2.0-2.rpm
wget http://halizard.org/release/iscsi-ha/iscsi-ha-2.2.0-1.rpm
rpm -Uvh ha-lizard-2.2.0-2.rpm
rpm -Uvh iscsi-ha-2.2.0-1.rpm
/etc/iscsi-ha/scripts/install_nosan_deps
chkconfig ha-lizard on
chkconfig ha-lizard-watchdog on
chkconfig iscsi-ha on
chkconfig iscsi-ha-watchdog on

- Restore configuration on Master
iscsi-cfg restore
service ha-lizard start
service iscsi-ha start

####################################################
At this point it is a repeat of the same steps for the slave
####################################################
- Expose storage on the master
iscsi-cfg become-secondary (on slave)
iscsi-cfg become-primary (on master)

- Migrate all of your VMs from the slave to the master

- Upgrade your slave with XCP or XenServer release

- After upgrade, install required packages on newly upgraded slave
cd /tmp
wget http://halizard.org/release/ha-lizard/ha-lizard-2.2.0-2.rpm
wget http://halizard.org/release/iscsi-ha/iscsi-ha-2.2.0-1.rpm
rpm -Uvh ha-lizard-2.2.0-2.rpm
rpm -Uvh iscsi-ha-2.2.0-1.rpm
/etc/iscsi-ha/scripts/install_nosan_deps
chkconfig ha-lizard on
chkconfig ha-lizard-watchdog on
chkconfig iscsi-ha on
chkconfig iscsi-ha-watchdog on

- Restore configuration on Slave
iscsi-cfg restore
service ha-lizard start
service iscsi-ha start

- Exit manual mode on both hosts
iscsi-cfg manual-mode-disable

Please Log in or Create an account to join the conversation.

compatility with xenserver 7.6 7 months 1 week ago #1746

So I just want to confirm - I can use this procedure to upgrade whatever version of HA-Lizard I'm running (I don't remember where I'm at there) and upgrade my XenServers from 7.0 to XCP 7.6, right?

Why the duplicate "install required packages" though? You have to do that twice on each machine?

Please Log in or Create an account to join the conversation.

compatility with xenserver 7.6 7 months 1 week ago #1747

  • Salvatore Costantino
  • Salvatore Costantino's Avatar
  • Offline
  • Posts: 565
Yes, this procedure will allow for upgrading major versions of xenserver as long as you upgrade ha-lizard and iscsi-ha first.

In answer to your question about the duplication, the latest iscsi-ha release adds support for backing up all the necessary configuration data to the pool database. This make is possible to fully restore the pool after a major dom0 upgrade.

So, the first install of the packages is simply so you can execute "iscsi-cfg backup"

Once you upgrade each host to 7.6, the upgrade procedure will erase all of the packages, hence why they must be re-installed after upgrading. Once upgraded, the previously backed up configuration gets restored on top of newly installed packages.

Please Log in or Create an account to join the conversation.

compatility with xenserver 7.6 7 months 1 week ago #1748

I have a bit of a problem here. After upgrading the master to XCP-ng I ran into some trouble:

[root@goodxen1 tmp]# rpm -Uvh iscsi-ha-2.2.0-1.rpm
error: Failed dependencies:
drbd84-utils is needed by iscsi-ha-2.2.0-1.noarch
drbd84-utils-sysvinit is needed by iscsi-ha-2.2.0-1.noarch
scsi-target-utils is needed by iscsi-ha-2.2.0-1.noarch

I'm not sure what to do now. Something odd was happening with my slave so I had to restart my VMs on the upgraded master. Obviously they're not syncing now. I'm not going to touch the slave until I hear back from you. At least I'm somewhat functional now although I think a little precarious.

Please Log in or Create an account to join the conversation.

Last edit: by Bill.
  • Page:
  • 1
  • 2